{
  lib,
  stdenv,
  fetchgit,
  cmake,
  json_c,
  libpcap,
  libubox,
  ubus,
}:

stdenv.mkDerivation {
  pname = "usteer";
  version = "unstable-04-09-2024";

  src = fetchgit {
    url = "https://git.dgnum.eu/DGNum/usteer.git";
    rev = "50a6d2dd35f379d2555a3110ba72b4134c1a6a40";
    hash = "sha256-fKVAockgLjUs0H91tX1bG02DmVff5EglOlXOmjJPwM8=";
  };

  postPatch = ''
    substituteInPlace CMakeLists.txt \
      --replace-fail "/usr" "${placeholder "out"}"
  '';

  nativeBuildInputs = [
    cmake
  ];

  buildInputs = [ ubus libpcap libubox json_c ];

  meta = {
    description = "";
    homepage = "https://github.com/openwrt/usteer";
    maintainers = with lib.maintainers; [ raitobezarius ];
    mainProgram = "usteer";
    platforms = lib.platforms.all;
  };
}
